# GstGLDisplayEGLDevice

GstGLDisplayEGLDevice represents a `EGLDeviceEXT` handle created internally (gst_gl_display_egl_device_new) or wrapped by the application (gst_gl_display_egl_device_new_with_egl_device)

## GstGLDisplayEGLDevice

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstGLDisplay
                    ╰──GstGLDisplayEGLDevice

the contents of a GstGLDisplayEGLDevice are private and should only be accessed through the provided API

### Members

`parent` (GstGLDisplay) –
No description available
`device` (gpointer) –
No description available
`_padding` (gpointer *) –
No description available

Since : 1.18

### Class structure

#### GstGLDisplayEGLDeviceClass

Opaque GstGLDisplayEGLDeviceClass struct

##### Fields

`object_class` (GstGLDisplayClass) –
No description available
`_padding` (gpointer *) –
No description available

Since : 1.18

### GstGLEGL.GLDisplayEGLDeviceClass

Opaque GstGLEGL.GLDisplayEGLDeviceClass struct

##### Attributes

`object_class` (GstGL.GLDisplayClass) –
No description available
`_padding` ([ Object ]) –
No description available

Since : 1.18

### GstGLEGL.GLDisplayEGLDeviceClass

Opaque GstGLEGL.GLDisplayEGLDeviceClass struct

##### Attributes

`object_class` (GstGL.GLDisplayClass) –
No description available
`_padding` ([ object ]) –
No description available

Since : 1.18

## GstGLEGL.GLDisplayEGLDevice

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLDisplay
                    ╰──GstGLEGL.GLDisplayEGLDevice

the contents of a GstGLEGL.GLDisplayEGLDevice are private and should only be accessed through the provided API

### Members

`parent` (GstGL.GLDisplay) –
No description available
`device` (Object) –
No description available
`_padding` ([ Object ]) –
No description available

Since : 1.18

## GstGLEGL.GLDisplayEGLDevice

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLDisplay
                    ╰──GstGLEGL.GLDisplayEGLDevice

the contents of a GstGLEGL.GLDisplayEGLDevice are private and should only be accessed through the provided API

### Members

`parent` (GstGL.GLDisplay) –
No description available
`device` (object) –
No description available
`_padding` ([ object ]) –
No description available

Since : 1.18

### Constructors

#### gst_gl_display_egl_device_new

    GstGLDisplayEGLDevice *
    gst_gl_display_egl_device_new (guint device_index)

Create a new GstGLDisplayEGLDevice with an EGLDevice supported device

Parameters:

`device_index` –

the index of device to use

Returns ( [transfer: full][nullable]) –

a new GstGLDisplayEGLDevice or NULL

Since : 1.18

#### GstGLEGL.GLDisplayEGLDevice.prototype.new

    function GstGLEGL.GLDisplayEGLDevice.prototype.new(device_index: Number): {
        // javascript wrapper for 'gst_gl_display_egl_device_new'
    }

Create a new GstGLEGL.GLDisplayEGLDevice with an EGLDevice supported device

Parameters:

`device_index` (Number) –

the index of device to use

Returns (GstGLEGL.GLDisplayEGLDevice) –

a new GstGLEGL.GLDisplayEGLDevice or null

Since : 1.18

#### GstGLEGL.GLDisplayEGLDevice.new

    def GstGLEGL.GLDisplayEGLDevice.new (device_index):
        #python wrapper for 'gst_gl_display_egl_device_new'

Create a new GstGLEGL.GLDisplayEGLDevice with an EGLDevice supported device

Parameters:

`device_index` (int) –

the index of device to use

Returns (GstGLEGL.GLDisplayEGLDevice) –

a new GstGLEGL.GLDisplayEGLDevice or None

Since : 1.18

#### gst_gl_display_egl_device_new_with_egl_device

    GstGLDisplayEGLDevice *
    gst_gl_display_egl_device_new_with_egl_device (gpointer device)

Creates a new GstGLDisplayEGLDevice with EGLDeviceEXT . The device must be created using EGLDevice enumeration.

Parameters:

`device` –

an existing EGLDeviceEXT

Returns ( [transfer: full]) –

a new GstGLDisplayEGLDevice

Since : 1.18

#### GstGLEGL.GLDisplayEGLDevice.prototype.new_with_egl_device

    function GstGLEGL.GLDisplayEGLDevice.prototype.new_with_egl_device(device: Object): {
        // javascript wrapper for 'gst_gl_display_egl_device_new_with_egl_device'
    }

Creates a new GstGLEGL.GLDisplayEGLDevice with EGLDeviceEXT . The device must be created using EGLDevice enumeration.

Parameters:

`device` (Object) –

an existing EGLDeviceEXT

Returns (GstGLEGL.GLDisplayEGLDevice) –

a new GstGLEGL.GLDisplayEGLDevice

Since : 1.18

#### GstGLEGL.GLDisplayEGLDevice.new_with_egl_device

    def GstGLEGL.GLDisplayEGLDevice.new_with_egl_device (device):
        #python wrapper for 'gst_gl_display_egl_device_new_with_egl_device'

Creates a new GstGLEGL.GLDisplayEGLDevice with EGLDeviceEXT . The device must be created using EGLDevice enumeration.

Parameters:

`device` (object) –

an existing EGLDeviceEXT

Returns (GstGLEGL.GLDisplayEGLDevice) –

a new GstGLEGL.GLDisplayEGLDevice

Since : 1.18

## Function Macros

### GST_GL_DISPLAY_EGL_DEVICE_CAST

    #define GST_GL_DISPLAY_EGL_DEVICE_CAST(obj)        ((GstGLDisplayEGLDevice*)(obj))

The results of the search are